<?php

namespace Drupal\Tests\flysystem\Unit\Flysystem\Adapter;

use Drupal\flysystem\Flysystem\Adapter\MissingAdapter;
use Drupal\Tests\UnitTestCase;
use League\Flysystem\Config;

/**
 * @coversDefaultClass \Drupal\flysystem\Flysystem\Adapter\MissingAdapter
 * @group flysystem
 */
class MissingAdapterTest extends UnitTestCase {

  /**
   * @covers \Drupal\flysystem\Flysystem\Adapter\MissingAdapter
   */
  public function test() {
    $adapter = new MissingAdapter();
    $this->assertNull($adapter->copy('', '', new Config([])));
    $this->assertNull($adapter->createDirectory('', new Config([])));
    $this->assertNull($adapter->delete('', new Config([])));
    $this->assertNull($adapter->deleteDirectory('', new Config([])));
    $this->assertIsArray($adapter->listContents('', new Config([])));
    $this->assertEquals($adapter->mimeType('')->mimeType(), 'plain/text');
    $this->assertEquals($adapter->fileSize('')->fileSize(), 1234);
    $this->assertEquals($adapter->lastModified('')->lastModified(), time());
    $this->assertEquals($adapter->visibility('')->visibility(), 'private');
    $this->assertNULL($adapter->setVisibility('', 'public'));
    $this->assertEquals($adapter->read('', new Config([])), '');
    $this->assertEquals($adapter->readStream('', new Config([])), '');
    $this->assertNull($adapter->move('', ''));
    $this->assertNull($adapter->write('', '', new Config([])));
    $this->assertNull($adapter->writeStream('', NULL, new Config([])));
  }

}
